Subject: Re: [PATCH 0/5] gitweb: git_patchset_body fixes

From: Luben Tuikov <[email-masked]>
Date: Tue, 9 Jan 2007 13:38:25 -0800 (PST)

--- Jakub Narebski <[email-masked]> wrote:
> Jakub Narebski wrote:
> > Luben Tuikov wrote:
> > 
> >> Ok, I see that Junio has committed the fixes to "next" -- thanks!
> >> That saved me time having to manually apply them.
> >> 
> >> Now, the results are that I see the same bug.
> >  
> > (The same bug = no closing div).
> > 
> > I'll try to reproduce this.
> 
> I failed to reproduce this error.
> 
> Could you apply the following patch, and report the result of
>   grep "</div>\|<div" | grep -v "<div.*</div>
> (find all opening and closing <div> elements, but omitting
> those which are opened and closed in the same line)?

<div class="page_header">
<div class="search">
</div><!-- search -->
</div><!-- page_header -->
<div class="page_nav">
</div><!-- page_nav -->
<div class="header">
</div><!-- header -->
<div class="page_body">
<div class="log">
</div><!-- log -->
<div class="list_head">
</div><!-- list_head -->
<div class="patchset">
<div class="patch" id="patch1">
<div class="diff extended_header">
</div><!-- diff extended_header -->
</div><!-- patch 0 -->
<div class="patch" id="patch2">
<div class="diff extended_header">
</div><!-- diff extended_header -->
</div><!-- patchset -->
</div><!-- page_body -->
<div class="page_footer">
</div><!-- page_footer -->

The bug is clear.

     Luben